unit Anzeige;

{$mode objfpc}{$H+}

interface

uses
   Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
   zitateDB, Zitat;

type

  { TForm2 }

  TForm2 = class(TForm)
    bSpeichern: TButton;
    bAbbruch: TButton;
     Memo1: TMemo;
     procedure bAbbruchClick(Sender: TObject);
     procedure bSpeichernClick(Sender: TObject);
     procedure FormCreate(Sender: TObject);
     procedure FormShow(Sender: TObject);
  private
     pID: integer;
     pZitat: TZitat;
  public
     property ID: integer read pID write pID;
     property Zitat: TZitat read pZitat write pZitat;
  end;

var
   Form2: TForm2;

implementation

{$R *.lfm}

{ TForm2 }

procedure TForm2.FormShow(Sender: TObject);
begin
   Zitat:=zitateDB1.getZitat(ID);
   Memo1.Text:= zitateDB1.getZitat(ID).Spruch;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
   ID:= 4711;
end;

procedure TForm2.bSpeichernClick(Sender: TObject);
begin
   Zitat.Spruch:=Memo1.Text;
   zitateDB1.updateZitat(ID, Zitat);
   Form2.Close;
end;

procedure TForm2.bAbbruchClick(Sender: TObject);
begin
   ShowMessage('Abbruch');
   Form2.Close;
end;

begin

end.

