unit ZitateMsg;

{$mode objfpc}{$H+}

interface

procedure Nachricht(text: string);
procedure Nachricht2(titel, text: string);
procedure SystemMeldung(text: string);

implementation

uses Classes, SysUtils, FileUtil,
     Forms, Controls, Graphics, Dialogs, Menus;

{ Hilfe }

function MessageDlgTitle(const Title: String; const Msg: string; Buttons: TMsgDlgButtons; HelpCtx: Longint): Integer;
begin
   with CreateMessageDialog(Msg, mtCustom, Buttons) do
   try
      Caption:=Title;
      HelpContext:=HelpCtx;
      HelpFile:='';
      Position:=poScreenCenter;
      result:=ShowModal;
   finally
      Free;
   end;
end;

procedure Nachricht(text: string);
begin
   case MessageDlg(text, mtInformation, [mbOK], 0) of
      mrOK, mrCancel:   ;
      else              MessageDlg('Fehler?', mtError, [], 0);
   end;
end;

procedure Nachricht2(titel, text: string);
begin
   case MessageDlgTitle(titel, text, [mbOK], 0) of
      mrOK, mrCancel:   ;
      else              MessageDlg('Fehler?', mtError, [], 0);
   end;
end;

procedure SystemMeldung(text: string);
begin
      Nachricht2('System-Meldung', text)
end;

begin

end.
