unit ZitateOnline_main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  DBGrids, DBCtrls, ZitateServerDB, Zitat, ZitateDB, ZitateMsg,
  db, Anzeige;

type

  { TForm1 }

  TForm1 = class(TForm)
    bConnect: TButton;
    bShow: TButton;
    bSpeichern: TButton;
    bAdd: TButton;
    bAbbruch: TButton;
    Button1: TButton;
    Datasource1: TDatasource;
    DBGrid1: TDBGrid;
    DBMemo1: TDBMemo;
    procedure bConnectClick(Sender: TObject);
    procedure bEndeClick(Sender: TObject);
    procedure bShowClick(Sender: TObject);
    procedure bSpeichernClick(Sender: TObject);
    procedure bAddClick(Sender: TObject);
    procedure bAbbruchClick(Sender: TObject);
    procedure DBGrid1DblClick(Sender: TObject);
    procedure DBGrid1TitleClick(Column: TColumn);
    procedure FormCreate(Sender: TObject);
    procedure MenueDeaktivieren(Sender: TObject);
  private
    ab: boolean;
    ID: integer;
    column_letzte: integer;
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  zitat2: TZitat;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.bConnectClick(Sender: TObject);
begin
   if not ZitadellDB.openSQliteDatabase
   then begin
        Nachricht('Datenbank Fehler???  Disable Menü');
        MenueDeaktivieren(Sender);
   end
   else begin
        bConnect.Enabled:= false;
        bShow.Enabled:= true;
   end;
end;

procedure TForm1.bEndeClick(Sender: TObject);
begin
   Form1.Close;
end;

procedure TForm1.MenueDeaktivieren(Sender: TObject);
begin
   bConnect.Enabled:=false;
   bShow.Enabled:=false;
end;

procedure TForm1.bShowClick(Sender: TObject);
begin
   DataSource1.DataSet:= zitateDB1.getZitateSetUpdate;
   DBGrid1.Columns[0].Visible:= false;
   DBMemo1.DataField := 'SPRUCH';
end;

procedure TForm1.bSpeichernClick(Sender: TObject);
begin
   ZitateDB1.SpeichernSatz(Sender);
end;

procedure TForm1.bAddClick(Sender: TObject);
begin
   ZitateDB1.AddSatz(Sender);
end;

procedure TForm1.bAbbruchClick(Sender: TObject);
begin
   ZitateDB1.AbbruchSatz(Sender);
end;

procedure TForm1.DBGrid1DblClick(Sender: TObject);
begin
   ID:=Datasource1.DataSet.FieldByName('ID').asInteger;
   ShowMessage('Aktuelle ID ' + ID.ToString);
   Form2.ID:=ID;
   Form2.ShowModal;
   ShowMessage('Aktuelle ID ' + ID.ToString);
   //Neuladen weil eventuell Update Commit gemacht hat
   Form1.bShowClick(Sender);
   //Setzen der alten Position ?
   ShowMessage(Datasource1.DataSet.FieldByName('Spruch').asString);
end;

procedure TForm1.DBGrid1TitleClick(Column: TColumn);
begin
   if Column.Index = column_letzte
      then ab:= not ab
      else ab:= false;
   column_letzte:= Column.Index;
   DataSource1.DataSet:= zitateDB1.getZitateSetSortiert(Column.index, ab);
   DBGrid1.Columns[0].Visible:= false;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   ab:= false;
   column_letzte:= -1;
end;

end.
