unit ZitateUTF8;

{$mode objfpc}{$H+}

interface

procedure WriteUTF8Ln(zeile: string);
procedure WriteUTF8(zeile: string);
function Ansi2UTF8(zeile: string): string;
function OEM2UTF8(zeile: string): string;
function Str0(n, anz: integer): string;
function myReplace(zeile, von, nach: string): string;
function myContains(zeile, suche: string): boolean;

implementation

uses SysUtils, LConvEncoding;

procedure WriteUTF8Ln(zeile: string);
begin
   WriteLn(CP1252toUTF8(zeile));
end;

procedure WriteUTF8(zeile: string);
begin
   Write(CP1252toUTF8(zeile));
end;

function Ansi2UTF8(zeile: string): string;
begin
   Result:=CP1252toUTF8(zeile);
end;

function OEM2UTF8(zeile: string): string;
begin
   Result:=CP850toUTF8(zeile);
end;

function Str0(n, anz: integer): string;
var s0, s1: string; i: integer;
begin
   STR(n, s0); s1:='';
   for i:= anz - LENGTH(s0) downto 1 do s1:= s1 + '0';
   Result:= s1 + s0;
end;

function myReplace(zeile, von, nach: string): string;
begin
   Result:= StringReplace( zeile, von, nach, [rfReplaceAll] );
end;

function myContains(zeile, suche: string): boolean;
begin
   Result:= ( Pos( zeile, suche ) > 0 );
end;

begin

end.
